import * as log from './log'
import * as mqtt from './mqttdispatcher'
import * as callchain from './callchain'
import * as plugintest1 from './plugintest1'

import * as EspThermToJson from './espthermtojson'
import * as MongoSave from './mongosave'

log.info("Dispatcher starting")
let dispatcher = new mqtt.MqttDispatcher("mqtts://broker.hottis.de:8883", 
  "wn", "locutus", "/home/wn/server-ca.crt")

dispatcher.register('IoT/espThermometer2/#', 'toJson', EspThermToJson.espThermToJson)

let mongo : MongoSave.MongoSave = new MongoSave.MongoSave()
dispatcher.register('IoT/espThermometer2/#', 'MongoSave', mongo);


// plugintest1.pluginTest1Start(dispatcher)

dispatcher.exec()
log.info("Dispatcher running")






